NSStruct::RecursifData Struct Reference

Internal: low level a structure helping to read recursifList. More...

`#include <NSStruct.hxx>`

## Classes

struct | Info
| the zone information More...
struct | Node
| the data data More...

## Public Member Functions

| RecursifData (NSStruct::ZoneType zone, NSStruct::VariableType vType=NSStruct::V_None, int level=0)
| constructor More...
| RecursifData (RecursifData const &orig)
| copy constructor More...
RecursifData & | operator= (RecursifData const &orig)
| copy operator More...
bool | read (NSParser &parser, MWAWEntry const &entry)
| read the data More...

## Public Attributes

shared_ptr< Info > | m_info
| zone information More...
int | m_level
| the node level More...
std::vector< Node > | m_childList
| the list of data entry More...

## Detailed Description

Internal: low level a structure helping to read recursifList.

## Constructor & Destructor Documentation

NSStruct::RecursifData::RecursifData | ( | NSStruct::ZoneType | zone,
|  | NSStruct::VariableType | vType = `NSStruct::V_None`,
|  | int | level = `0`
| ) |  |

inline

constructor

Referenced by read().

NSStruct::RecursifData::RecursifData | ( | RecursifData const & | orig | ) |

inline

copy constructor

## Member Function Documentation

RecursifData& NSStruct::RecursifData::operator= | ( | RecursifData const & | orig | ) |

inline

copy operator

bool NSStruct::RecursifData::read | ( | NSParser & | parser,
|  | MWAWEntry const & | entry
| ) |  |

read the data

Referenced by NSGraph::createZones(), and NSParser::createZones().

## Member Data Documentation

std::vector<Node> NSStruct::RecursifData::m_childList

the list of data entry

Referenced by operator=(), read(), NSGraph::readPLDT(), NSParser::readReference(), NSParser::readSGP1(), and NSParser::readVariable().

shared_ptr<Info> NSStruct::RecursifData::m_info

zone information

Referenced by operator=(), read(), NSGraph::readPLDT(), NSParser::readReference(), NSParser::readSGP1(), and NSParser::readVariable().

int NSStruct::RecursifData::m_level

the node level

Referenced by operator=(), and read().

The documentation for this struct was generated from the following files:

- NSStruct.hxx
- NSStruct.cxx